List your tokens
curl --request GET \
--url https://partners-api.sandbox.securitize.io/corporate-actions/v1/tokens \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/corporate-actions/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/corporate-actions/v1/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"tokenId": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d",
"assetId": "c0a8e2f4-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"chainId": "eip155:196",
"contractAddress": "0x5ec0a3f1c9d84b27e6f0a1b2c3d4e5f6a7b8c9d0",
"name": "Apple Inc. CET",
"status": "ACTIVE",
"decimals": 18
},
{
"tokenId": "3d9e1f20-7a8b-4c5d-8e6f-2a1b3c4d5e6f",
"assetId": "9b7c5d31-2e4f-4a6b-8c0d-3e5f7a9b1c2d",
"chainId": "eip155:196",
"contractAddress": "0x2b4d6f8a0c2e4a6c8e0b2d4f6a8c0e2b4d6f8a0c",
"name": "NVIDIA Corp. CET",
"status": "ACTIVE",
"decimals": 18
}
]
}{
"error": "Bad Request",
"message": [
"each value in status must be one of the following values: OPEN, CLOSED, UNAVAILABLE"
],
"statusCode": 400
}{
"error": "UNAUTHORIZED",
"message": "Missing or unknown partner identity",
"statusCode": 401
}Tokens
List your tokens
Your CET tokens, one per chain deployment. status filters by the token’s current marketStatus (OPEN, CLOSED, UNAVAILABLE), not by the status field of the token object: status=ACTIVE is refused with 400.
GET
/
tokens
List your tokens
curl --request GET \
--url https://partners-api.sandbox.securitize.io/corporate-actions/v1/tokens \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/corporate-actions/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/corporate-actions/v1/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"tokenId": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d",
"assetId": "c0a8e2f4-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"chainId": "eip155:196",
"contractAddress": "0x5ec0a3f1c9d84b27e6f0a1b2c3d4e5f6a7b8c9d0",
"name": "Apple Inc. CET",
"status": "ACTIVE",
"decimals": 18
},
{
"tokenId": "3d9e1f20-7a8b-4c5d-8e6f-2a1b3c4d5e6f",
"assetId": "9b7c5d31-2e4f-4a6b-8c0d-3e5f7a9b1c2d",
"chainId": "eip155:196",
"contractAddress": "0x2b4d6f8a0c2e4a6c8e0b2d4f6a8c0e2b4d6f8a0c",
"name": "NVIDIA Corp. CET",
"status": "ACTIVE",
"decimals": 18
}
]
}{
"error": "Bad Request",
"message": [
"each value in status must be one of the following values: OPEN, CLOSED, UNAVAILABLE"
],
"statusCode": 400
}{
"error": "UNAUTHORIZED",
"message": "Missing or unknown partner identity",
"statusCode": 401
}